GitHub OAuth code-for-token exchange proxy (used by the studio publish flow)
POST
/api/github/token
const url = 'https://gib.show/api/github/token';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gib.show/api/github/token \ --header 'Content-Type: application/json' \ --data '{ "code": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”object
code
required
string
Example generated
{ "code": "example"}Responses
Section titled “Responses”Access token.
object
access_token
string
Example generated
{ "access_token": "example"}Missing code or exchange rejected.
object
error
string
Example generated
{ "error": "example"}GitHub responded with a non-OK status, or the exchange request to GitHub failed (network error). Details are logged server-side, not returned.
object
error
string
Example generated
{ "error": "example"}OAuth not configured on this deployment.
object
error
string
Example generated
{ "error": "example"}